Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

Do someone of you know if the installation of Ghostscript and Convert-IM packages which come along with MacTex is mandatory? Are these packages useful or I can proceed without install them?

share|improve this question
1  
If you don't plan ever using EPS files, then Ghostscript is not necessary; which means it's recommended. Also ImageMagick is handy at times. I'd install both. –  egreg Dec 1 '13 at 22:11

2 Answers 2

up vote 2 down vote accepted

Installing Ghostscript is not mandatory, but many auxiliary programs require it when managing EPS files. So, if you plan never using EPS files, then you can avoid installing Ghostscript; but, as EPS files are ubiquitous, I don't see any real reason for saving a tiny bit of space.

ImageMagick, on the other hand, is a collection of utilities for dealing with graphic formats. I surely would install it; it's used by the standalone class, that is so able to automatically convert the PDF output into other graphic formats.

share|improve this answer

Their installations are not mandatory, though both of them are very useful, as egreg explained.

There is a custom install option in the MacTeX installer package, and if you click on this option you may choose not to install Ghostscript nor Convert (which is only a subpart of ImageMagick by the way).

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.